
//////////////////////////////////////////////////////////////////////////
//
//  Copyright (C) 2007-2018 zSpace, Inc.  All Rights Reserved.
//
//  File:       Sdk4.jaja
//  Content:    Java bindings for the 4.0 zSpace SDK.
//
//////////////////////////////////////////////////////////////////////////

package com.zspace;

  /// Class representing tracker pose information.
  /// This structure is used by the Tracker Target, Display, and Stereo Frustum APIs.
  public class ZCTrackerPose
  {
    public double    timestamp;                    ///< The time that the pose was captured (represented in seconds since last system reboot).
    public ZSMatrix4 matrix = new ZSMatrix4();     ///< The tracker-space position and orientation in 4x4 matrix format.
  }